body {
   margin: 0;
   font-family: 'Inter', sans-serif;
   background: white;
   color: #111
}

nav {

    position: sticky;
    top: 0;
    z-index: 500;

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 40px;


    background: rgba(225,225,225,0.06);
}

.nav-right {
    display: flex;
    gap: 25px;
    align-items: center;
}

.logo {
    font-size: 18px;
    letter-spacing: 3px;
    font-weight: bold;
}

.nav-btn {
    background: transparent;
    border: 2px solid #111;
    color: white;
    padding: 8px 14px;
    border-radius: 8px;
    cursor: pointer;
    font-weight: 500;
    transition: 0.2 ease;
}

.nav-btn:hover {
    background: #111;
    color: white;
}

.hero h1 {
    font-size: clamp(32px, 5vw, 56px);
    color: #111;
}

.hero {
    text-align: center;
    padding: 120px 20px;
    background: linear-gradient(180deg, #ffffff, #f8fafc);
}

.hero p {
    color: #555;
    max-width: 600px;
    margin: 0 auto 30px;
    font-size: 18px;
    line-height: 1.6;
}

.main-btn {
    background: #111;
    color: lightgray;
    border: none;
    padding: 16px 30px;
    font-size: 16px;
    border-radius: 10px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.2s ease;
    align-items: left;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 18px 40px;
    border-bottom: 1px solid #eee;
}

.nav-right {
    display: flex;
    gap: 25px;
    align-items: center;
}

.nav-right a {
    text-decoration: none;
    color: white;
    font-weight: 500;
    white-space: nowrap;
}

.nav-right a:hover {
    color: white;
}

.main-btn:hover {
    transform: scale(1.05);
    box-shadow: 0 0 20px rgba(139, 92, 246, 0.4);
}

section {
    padding: 80px 20px;
    max-width: 1100px;
    margin: auto;
}

h2 {
    font-size: 28px;
    margin-bottom: 20px;
}

.about p {
    color: white;
    line-height: 1.6;
}

.services {
    text-align: center;
}

.projects {
    text-align: center;
}


.service-card,
.project-card {
    background: #f5f5f7;
    padding: 25px;
    border-radius: 12px;
    transition: 0.25 ease;
    margin: 10px 0;
    margin-bottom: 12px;
    gap: 18px;
    display: flex;
    flex-direction: column;
}

.project-card-highlight {
    transform: scale(1,03);
    box-shadow: 0 15px 40px rgba(0,0,0,0.15);
    border-left: 4px solid #e11d2e;
}

.service-card:hover {
    transform: translateY(-5px);
    background: linear-gradient(90deg, white, #ffffff, lightgray);
}

.logo img {
    height: 140px;
    width: auto;
    transition: 0.2 ease;
}

.logo img:hover {
    transform: scale(1.05);
}

.gradient-text {
    background: linear-gradient(90deg, gray, rgb(75, 74, 74), rgb(52, 52, 52));
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
    display: inline-block;
}

.services-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    margin-top: 30px;
}

@media (max-width: 768px) {

    section {
        padding: 60px 20px;
    }

    nav {
        padding: 15px 20px;
    }

    .logo img {
        height: 45px;
    }

    .hero {
        padding: 80px 20px;
    }

    hero h1 {
        font-size: 38px;
    }

    hero p {
        font-size: 18px;
    }

    .services-grid {
        grid-template-columns: 1fr;
    }

    .service-card {
        padding: 20px;
    }
}


@media (max-width: 1024px) {
    .services-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

html {
    scroll-behavior: smooth;
}

.hidden {
    opacity: 0;
    transform: translateY(30px);
    transition: all 0.6s ease;
}

.show {
    opacity: 1;
    transform: translateY(0);
}

.goal {
    margin-bottom: 18px;
}

#splash-screen {
    position: fixed;
    inset: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 9999;

    background: linear-gradient(
        120deg,
        white,
        #ffffff,
        #111,
        black
    );
    background-size: 300% 300%;
    color: #111;

    font-size: 42px;
    font-weight: 800;
    letter-spacing: 2px;

    animation: gradientShift 6s ease infinite, fadeOut 1.6s ease forwards;
    animation-delay: 0s, 2.2s;
}

@keyframes fadeOut {
    0% {
        opacity: 1;
        transform: scale(1);
    }
    100% {
        opacity: 0;
        transform: scale(1.05);
        visibility: hidden;
    }
}
#splash-screen h1 {
    text-shadow: 0 0 20px rgba(255,255,255,0.3);
    margin-bottom: 10px;
    font-size: 48px;
}

#splash-screen p {
    text-shadow: 0 0 20px rgba(225,225,225,0.3);
    margin-top: 0;
    opacity: 0.7;
    font-size: 36px;
}

.splash-logo {
    color: white;
    font-size: 48px;
    font-weight: 800;
    letter-spacing: 2px;

    opacity: 0;
    transform: translateY(20px);

    animation: logoIntro 1.2s ease forwards;
}

@keyframes logoIntro {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes gradientShift {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

.approach {
    text-align: center;
    padding: 80px 20px;
    background: #ffffff;
}

.approach h2 {
    font-size: 34px;
    margin-bottom: 40px;
    color: #111;
}

.approach-grid {
    display: flex;
    justify-content: center;
    gap: 25px;
    flex-wrap: wrap;
}

.approach-card {
    background: #ffffff;
    border-radius: 16px;
    padding: 30px;
    width: 260px;

    border: 1px solid rgba(0,0,0,0.08);
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);

    transition: 0.3s ease;
    text-align: left;
}

.approach-card h3 {
    margin-bottom: 10px;
    color: #111;
}

.approach-card p {
    color: #555;
    line-height: 1.6;
}

.approach-card:hover {
    transform: translateY(-6px);
    border: 1px solid transparent;

    background: linear-gradient(#fff, #fff) padding-box,
    linear-gradient(135deg, #8b5cf6, #38bdf8, #4ade80) border-box;
}

.projects-note {
    max-width: 700px;
    margin: 0 auto 40px auto;
    text-align: center;

    color: #555;
    font-size: 15px;
    line-height: 1.6;

    background: #f5f5f5;
    padding: 15px 20px;
    border-radius: 10px;
}

.process {
    text-align: center;
    padding: 80px 20px;
    background: #ffffff;
}

.process h2 {
    font-size: 32px;
    margin-bottom: 40px;
    color: #111;
}

.process-grid {
    display: flex;
    justify-content: center; 
    gap: 25px;
    flex-wrap: wrap;
}

.process-grid div {
    background: #fff;
    border-radius: 14px;
    padding: 30px;
    width: 260px;

    border: 1px solid rgba(0,0,0,0.05);
    box-shadow: 0 10px 25px rgba(0,0,0,0.05);

    text-align: left;
    transition: 0.3s ease;
}

.process-grid div:hover {
    transform: translateY(-6px);

    background: linear-gradient(#fff, #fff) padding-box,
    linear-gradient(135deg, #8b5cf6, #38bdf8, #4ade80);

    border: 1px solid transparent;
}

.process-grid h3 {
    margin-bottom: 10px;
    color: #111;
    font-size: 18px;
    font-weight: 600;
}

.process-grid p {
    color: #555;
    line-height: 1.6;
}

.cta {
    text-align: center;
    padding: 100px 20px;

    background: linear-gradient(135deg, gray, rgb(75, 74, 74), rgb(52, 52, 52));
    color: #fff;
    margin-bottom: 15px;
}

.cta h2 {
    font-size: 36px;
    margin-bottom: 15px;
}

.cta p {
    max-width: 600px;
    margin: 0 auto 30px;
    line-height: 1.6;
    color: rgba(255,255,255,0.9);
}

.cta-buttons {
    display: flex;
    justify-content: center;
    gap: 15px;
    flex-wrap: wrap;
}

.start-btn {
    background: #fff;
    color: #111;
    padding: 14px 22px;
    border-radius: 10px;
    text-decoration: none;
    font-weight: 600;
}

.secondary-btn {
    border: 1px solid #fff;
    color: #fff;
    padding: 14px 22px;
    border-radius: 10px;
    text-decoration: none;
}

.start-btn:hover {
    opacity: 0.9;
}

.secondary-btn:hover {
    background: rgba(255,255,255,0.1);
}

#pricing {
    padding: 80px 20px;
    text-align: center;
}

.pricing-intro {
    max-width: 600px;
    margin: 10px auto 40px;
    color: #777;
}

.pricing-container {
    display: flex;
    justify-content: center;
    gap: 25px;
    flex-wrap: wrap;
}

.pricing-item {
    background: rgba(255, 255, 255, 0.03);
    padding: 30px;
    border-radius: 16px;
    width: 260px;
    transition: 0.3s ease;
    backdrop-filter: blur(8px);
}

.pricing-item:hover {
    transform: translateY(-6px);
    background: rgba(255, 255, 255, 0.06);
}

.pricing-item h3 {
    margin-bottom: 10px;
}

.price {
    font-size: 22px;
    margin-bottom: 10px;
    font-weight: bold;
}

.featured {
    border: 1px solid rbga(255, 255, 255. 0.15);
    transform: scale(1.05);
}